# Registry

- [Using The APIs](https://docs.sunbirdrc.dev/api-reference/registry/using-the-apis.md)
- [Create An Entity](https://docs.sunbirdrc.dev/api-reference/registry/create-an-entity.md): To create an entity, we need to make the following HTTP request
- [Invite An Entity](https://docs.sunbirdrc.dev/api-reference/registry/invite-an-entity.md): To invite an entity, we need to make the following HTTP request
- [Generate token](https://docs.sunbirdrc.dev/api-reference/registry/authenticating-as-an-entity.md)
- [Generate admin token](https://docs.sunbirdrc.dev/api-reference/registry/generate-admin-token.md)
- [Get An Entity](https://docs.sunbirdrc.dev/api-reference/registry/get-an-entity.md): To get an entity created by the owner, we need to make the following HTTP request
- [Get An Entity By Id](https://docs.sunbirdrc.dev/api-reference/registry/get-an-entity-by-id.md): To get an entity, we need to make the following HTTP request
- [Update An Entity](https://docs.sunbirdrc.dev/api-reference/registry/update-an-entity.md): To update an entity, we need to make the following HTTP request
- [Create A Property Of An Entity](https://docs.sunbirdrc.dev/api-reference/registry/create-a-property-of-an-entity.md): To add property to an existing entity, we need to make the following HTTP request
- [Update A Property Of An Entity](https://docs.sunbirdrc.dev/api-reference/registry/update-a-property-of-an-entity.md): To update the property of an existing entity, we need to make the following HTTP request
- [Revoke a Credential](https://docs.sunbirdrc.dev/api-reference/registry/create-a-property-of-an-entity-1.md): To revoke an existing VC (Verifiable Credential) or an entity, we need to make the following HTTP request
- [Delete An Entity](https://docs.sunbirdrc.dev/api-reference/registry/delete-an-entity.md): To soft delete an entity, we need to make the following HTTP request


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sunbirdrc.dev/api-reference/registry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
